import { getDingTalkAllDeptUser, refashDingTalkAllDeptUser } from '@/api/expenseManagement'
const DingDepartUser = {
  template: `
      <a-tree-select
          :value="defaultVal"
          tree-data-simple-mode
          style="width: 100%"
          :dropdown-style="{ maxHeight: '400px', overflow: 'auto' }"
          :tree-data="treeData"
          :placeholder="placeholder"
          multiple
          treeCheckable
          :treeCheckStrictly="true"
          treeNodeFilterProp="title"
          @change="handleChange"
        />
    `,
  props: {
    value: {
      type: Array,
      defatut: function(){
        return []
      }
    },
    id: {
      type: String,
      default: ''
    },
    placeholder: {
      type: String,
      default: '请选择人员'
    },
    disabled:{
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      defaultVal: this.value,
      treeData: []
    };
  },
  mounted() {
    this.genTreeNode()
  },
  watch: {
    value(newValue, oldValue) {
      this.defaultVal = newValue
    },
  },
  methods: {
    filterOption (input, option) {
      return (
        option.componentOptions.children[0].text.toLowerCase().indexOf(input.toLowerCase()) >= 0
      )
    },
    handleChange(value) {
      console.log(value);
      this.defaultVal = value;
      this.$emit('change', value, this.id);
      this.$emit('input', value);
    },
    // 格式化数据
    formatData(data,type){
      const ret = []
      data.map(item => {
        if(type == 'bm'){
          const node = {
            title: item.name,
            id:item.deptId,
            value: item.deptId,
            pId: item.parentId,
            autoAddUser: item.autoAddUser,
            createDeptGroup: item.createDeptGroup,
            disableCheckbox: true,
            checkable: false
          }
          if(item.deptUserList){
            node.children = this.formatData(item.deptUserList,'yg')
          }
          if(item.deptList){
            node.children = this.formatData(item.deptList,'bm')
          }
          ret.push(node)
        }else{
          ret.push({
            title: item.name,
            id: item.userid,
            value: item.userid,
            pId: item.parentId,
            avatar: item.avatar,
            leader: item.leader,
            boss: item.boss,
            admin: item.admin,
            active: item.active,
            userid: item.userid,
            isLeaf: true
          })
        }
      })
      return ret
    },
    // 获取部门人员
    async genTreeNode() {
       let ret = await getDingTalkAllDeptUser().then(res => res.data)
       console.log(ret)
       const res1 = ret.deptList||[]
       const res2 = ret.deptUserList||[]
       this.treeData = this.treeData.concat(this.formatData(res1,'bm')).concat(this.formatData(res2,'yg'));
    },
    // 更新人员数据
    updateDeptUser(){
      refashDingTalkAllDeptUser().then(res => {
        this.$message.info(res.message)
        if(res.status == 200){
          this.treeData = []
          this.genTreeNode()
        }
        this.$emit("loaded")
      })
    }
  },
};

export default DingDepartUser